Package org.springframework.security.web.webauthn.api

# Class CredProtectAuthenticationExtensionsClientInput

java.lang.Object
org.springframework.security.web.webauthn.api.CredProtectAuthenticationExtensionsClientInput

All Implemented Interfaces:
  `Serializable`, `AuthenticationExtensionsClientInput<CredProtectAuthenticationExtensionsClientInput.CredProtect>`

public class CredProtectAuthenticationExtensionsClientInput extends Object implements AuthenticationExtensionsClientInput<CredProtectAuthenticationExtensionsClientInput.CredProtect>
Implements Credential Protection (credProtect).

Since:
  6.4
See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CredProtectAuthenticationExtensionsClientInput.CredProtect`

## Constructor Summary

Constructors
Constructor
Description
`CredProtectAuthenticationExtensionsClientInput(CredProtectAuthenticationExtensionsClientInput.CredProtect input)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtensionId()`
Gets the extension identifier.
`CredProtectAuthenticationExtensionsClientInput.CredProtect`
`getInput()`
Gets the client extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CredProtectAuthenticationExtensionsClientInput

public CredProtectAuthenticationExtensionsClientInput(CredProtectAuthenticationExtensionsClientInput.CredProtect input)

## Method Details

### getExtensionId

public String getExtensionId()
Description copied from interface: `AuthenticationExtensionsClientInput`
Gets the extension identifier.

Specified by:
  `getExtensionId` in interface `AuthenticationExtensionsClientInput<CredProtectAuthenticationExtensionsClientInput.CredProtect>`
Returns:
  the extension identifier.

### getInput

public CredProtectAuthenticationExtensionsClientInput.CredProtect getInput()
Description copied from interface: `AuthenticationExtensionsClientInput`
Gets the client extension.

Specified by:
  `getInput` in interface `AuthenticationExtensionsClientInput<CredProtectAuthenticationExtensionsClientInput.CredProtect>`
Returns:
  the client extension.